DCMTK - Feature #145

use GNU libtool for compiling if present on machine
2000-02-24 00:00 - Marco Eichelberg

Status: Rejected Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:
Module: all Compiler:

Operating System:

Description

GNU libtool seems to be a reasonable approach to cope with the
different compiler and linker flags needed to create shared vs. static
libraries on systems supporting these.

Since we already have a configure test for GNU libtool anyway,

we should rework our makefiles to recognize and use GNU libtool if present.
It might also be possible to include the complete libtool into DCMTK's
config and have it configured (built) before decmtk; however, | need to

check the license first. We don't want DCMTK to get under GPL.

==== Kommentar JR ====

siehe auch Mails von Juergen Salk vom November 2004

History

#1 - 2014-09-22 17:00 - Michael Onken
- Description updated

- Private changed from No to Yes

#2 - 2015-01-15 13:49 - Michael Onken

- Private changed from Yes to No

#3 - 2017-05-26 17:00 - Marco Eichelberg

- Status changed from New to Rejected

Meanwhile CMake can be used to compile DCMTK with shared libraries; no need anymore to support GNU libtool. Won't implement.
